<?php
include($_SERVER['DOCUMENT_ROOT'] . "/" . $this->basePath() . '/public/barcodecoy/qrlib.php');

$PNG_TEMP_DIR = $_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/npwpd/' .
        $data['t_npwpd'] . '/';

$PNG_WEB_DIR = $_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/npwpd/' .
        $data['t_npwpd'] . '/';

if (!file_exists($PNG_TEMP_DIR)) {
    mkdir($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/npwpd/' . $data['t_npwpd'] . '/', 0777, true);
    chmod($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/npwpd/' . $data['t_npwpd'] . '/', 0777);
}

$errorCorrectionLevel = 'L';
$matrixPointSize = 3;
$barcode = $data['t_npwpd'] . '/' . $data['t_nama'];
// $barcode = 'http://192.168.8.101/esptpd/esptpd_kaimana/npwpdrd?&npwpd_rd='.$data['t_npwpd'];

$filename = $PNG_TEMP_DIR . '' . $data['t_npwpd'] . '_' . md5($barcode . '|' . $errorCorrectionLevel . '|' . $matrixPointSize) . '.png';
QRcode::png($barcode, $filename, $errorCorrectionLevel, $matrixPointSize, 2);

$tampilbarcode = '<img src="' . $this->basePath() . '/public/img_barcode/npwpd/' . $data['t_npwpd'] . '/' . basename($filename) . '" width="200" />';

$abulan = ['01' => 'Januari', '02' => 'Februari', '03' => 'Maret', '04' => 'April', '05' => 'Mei', '06' => 'Juni', '07' => 'Juli', '08' => 'Agustus', '09' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember'];
$t_tgldaftar = date('d', strtotime($data['t_tgldaftar'])) . " " . $abulan[date('m', strtotime($data['t_tgldaftar']))] . " " . date('Y', strtotime($data['t_tgldaftar']));

if (!empty($data['t_rt'])) {
    $rt = "RT " . $data['t_rt'];
} else {
    $rt = "";
}

if (!empty($data['t_rw'])) {
    $rw = "/ RW " . $data['t_rw'];
} else {
    $rw = "";
}
?>

<style>
    body {
        /*        background: url(<?= $this->basePath() ?>/public/upload/bg-npwpd-dpn1.jpg) center center;
                top:0px;
                left:0px;
                min-width:100%;
                min-height:100%;
                -webkit-background-size: cover;
                -moz-background-size: cover;
                -o-background-size: cover;
                background-size: cover; */
        margin:auto;
    }
    .halaman_1 {
        background-image: url(<?= $this->basePath() ?>/public/upload/npwpd_front.png);
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        background-size: cover;
        /*background-position: 0px 0px;*/
        /*background-repeat: repeat;*/
        /*border: 1px solid black;*/
        /*height: 500px;*/
        /*width: 100%;*/
        /*margin:0px;*/
    }
    .halaman_2 {
        background-image: url(<?= $this->basePath() ?>/public/upload/npwpd_back.png);
        -webkit-background-size: cover;
        -moz-background-size: cover;
        -o-background-size: cover;
        background-size: cover;
        /*background-position: 0px 0px;*/
        /*background-repeat: repeat;*/
        /*border: 1px solid black;*/
        /*height: 500px;*/
        /*width: 100%;*/
        /*margin:0px;*/
    }
    @page{margin:0px;padding:0px;}
</style>
<body>
    <div style="position:absolute;right:6em;bottom: 0.5em;">
        <img src="<?= $_SERVER['DOCUMENT_ROOT'] . "" . $this->basePath() . "/public/img/ttd_kaban_andris.png"; ?>" width="450px" height="250"/>
    </div>
<!--<img src="/var/www/html/simpatda_pdg_new/public/upload/bg-npwpd-dpn1.jpg" class="login-img wow fadeIn" alt="">-->
    <div class="halaman_1" style="background: url('<?= $this->basePath() ?>/public/upload/npwpd_front.png');">

        <table style="width: 100%;font-family:arial;margin:0px 30px 20px 30px;">
            <tr>
                <td style="width: 20%;padding-left:50px;padding-top:10px;">
                    <img src="<?= $_SERVER['DOCUMENT_ROOT'] . "" . $this->basePath() . "/" . $ar_pemda->s_logo; ?>" style="width:150px;"  />
                </td>
                <td style="text-align: center;padding-right:100px;color:#fff; font-weight: bold;">
                    <b style="font-size: 28pt;text-shadow: 1px 1px 2px white, 0 0 25px white, 0 0 5px darkblue;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota) ?></b>
                    <br>
                    <b style=" font-size: 38pt;text-shadow: 1px 1px 2px white, 0 0 25px white, 0 0 5px darkblue;"><?= strtoupper($ar_pemda->s_namainstansi) ?></b>
                    <br>
                    <span style=" font-size: 18pt;"><?= strtoupper($ar_pemda->s_alamatinstansi . ' ' . $ar_pemda->s_namaibukotakabkota) ?> Telp <?= $ar_pemda->s_notelinstansi ?></span>
                </td>
            </tr>	
        </table>
        <table style="width: 100%;font-family:arial;padding-top: 28px;padding-left: 40px;padding-right: 50px;padding-bottom: 0px;margin:0px 30px 20px 30px;">
            <tr>
                <td width="20%"><b style="font-size: 40pt;">NPW<?= substr($data['t_npwpd'], 0, 1) ?>D</b></td>
                <td width="5%"><b style="font-size: 30pt;">:</b></td>
                <td><b style="font-size: 40pt;"><?= $data['t_npwpd'] ?></b></td>
                <td rowspan="4" style="vertical-align:top;padding-top:15px;padding-right:20px;text-align:right;">
                    <?php
//                    if(!empty($data['t_photowp'])){
//                      echo '<img src="'. $_SERVER['DOCUMENT_ROOT'] . '' . $this->basePath() . '/'. $data['t_photowp'].'" style="width:180px;height: 250px;" />';  
//                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td style="vertical-align: top;"><b style="font-size: 30pt;">Nama</b></td>
                <td style="vertical-align: top;"><b style="font-size: 30pt;">:</b></td>
                <td><b style="font-size: 30pt;"><?= strtoupper($data['t_nama']) ?></b></td>
            </tr>
            <tr>
                <td style="vertical-align: top;"><b style="font-size: 30pt;">NIK</b></td>
                <td style="vertical-align: top;"><b style="font-size: 30pt;">:</b></td>
                <td><b style="font-size: 30pt;"><?= $data['t_nik'] ?></b></td>
            </tr>
            <tr>
                <td style="vertical-align: top;"><b style="font-size: 30pt;">Alamat</b></td>
                <td style="vertical-align: top;"><b style="font-size: 30pt;">:</b></td>
                <td><b style="font-size: 30pt;"><?= ucwords(strtolower($data['t_alamat'] . ' <br> ' . $rt . ' ' . $rw . ' ' . $data['s_namakel'] . ' <br> ' . $data['s_namakec'] . ' - ' . $data['t_kabupaten'])) ?></b></td>
            </tr>
        </table>
        <table style="width: 100%;font-family:arial;padding-top: 5px;padding-bottom: 5px;margin:0px 30px 10px 30px;">
            <tr>
                <td style="width: 60%;vertical-align:bottom;font-size:20pt;padding-left:35px;">
                    <?= $tampilbarcode ?><br>
                    <b>Tanggal Terdaftar : <?= $t_tgldaftar ?></b>
                </td>
                <td style="width: 40%;text-align: center;font-size:16pt;font-weight:bold;">
                    An. BUPATI <?= strtoupper($ar_pemda->s_namakabkota) ?><BR>
                    <?= strtoupper($ar_mengetahui->s_jabatanpej) ?><br>
                    `<?= strtoupper($ar_pemda->s_namakabkota) ?>
                    <br>
                    <br>
                    <br>
                    <br>
                    <br>
                    <u><?= strtoupper($ar_mengetahui->s_namapej) ?></u><BR>
                    NIP. <?= $ar_mengetahui->s_nippej ?>
                </td>
            </tr>
        </table>

    </div>
    <div class="halaman_2" style="background: url('<?= $this->basePath() ?>/public/upload/npwpd_back.png');">
        <table style="width: 100%;font-family:arial;padding-top: 800px;padding-bottom: 10px;padding-left: 35px;padding-right: 35px;font-size:25pt;">
            <tr><td></td></tr>
        </table>
    </div>
</body>
